techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Customer Profile
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
        GET
      • Wallet Details
        GET
      • Referral Details
        GET
      • Update Platform Version
        POST
      • Activate/Create FCM Token
        POST
      • FCM Token
        DELETE
      • Delete Customer Account
        POST
      • Update Language
        POST
      • Update Avatar
        POST
      • Update Profile
        PATCH
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
      GET
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Customer Profile

Profile Details

GET
https://api.techrar.com/api/v1/customers/me/
This endpoint lets you get the current customer details associated with your store.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/customers/me/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 1,
    "custom_fields": {
        "subscription_fields": []
    },
    "corporate_location": null,
    "is_verified": true,
    "can_change_profile_info": true,
    "corporates": [
        14
    ],
    "additional_info": null,
    "alerts": [
        {
            "type": "email_not_in_allowed_domain",
            "action": "email_verification",
            "message": "Your email domain is not allowed in Aramco. Please use an email with the 'aramco.com' domain."
        }
    ],
    "app_id": null,
    "created_at": "2022-03-12T17:51:15.115924+03:00",
    "modified_at": "2025-10-20T13:25:06.052334+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "has_supported_corporate": true,
    "has_unsupported_corporate": false,
    "corporate_name_other": null,
    "customer_payment_id": null,
    "allergies": "{\"4\": [\"fish\"], \"-1\": [\"nuts\"], \"3\": [\"nuts\"]}",
    "is_reserved": false,
    "restaurant_lead_id": 46,
    "apps_ids": "34,3,4,102,44,46,78,81,18,86,-1,95",
    "blocked_from": null,
    "deleted_from": null,
    "national_id": "1111782031",
    "secondary_mobile_number": "0534501056",
    "date_of_birth": "1999-02-24",
    "avatar": "/media/uploads/customer/avatars/2024/07/29/12048986-a1b6-4e1d-9b8a-216331f3cd71.png",
    "not_verified_in": "",
    "finger_print": null,
    "allergens_dislikes": [],
    "account": {
        "id": 4,
        "username": "0534501056",
        "name": "Safwan Saigh",
        "email": "[email protected]",
        "lang": "en",
        "groups": [
            {
                "id": 1,
                "custom_fields": null,
                "permissions": [],
                "name": "Customer"
            },
            {
                "id": 6,
                "custom_fields": null,
                "permissions": [],
                "name": "Captain"
            }
        ],
        "current_city_id": 1,
        "is_email_verified": true,
        "is_mobile_verified": true
    }
}
Modified at 2025-10-22 10:34:37
Previous
Customer Profile
Next
Wallet Details
Built with